import styled from 'styled-components'
import { colours } from '../../assets/theme'
import { Label, H2 } from '../Text'
import { Row as FlexRow, Column as FlexColumn } from '../Flex'
import Button from '../Button'

export const Row = styled(FlexRow)`

`
export const Column = styled(FlexColumn)`
  `

export const Left = styled(FlexColumn)`
  margin-right: 1em;
  `

export const Center = styled(FlexColumn)`
  max-width: 60%;
`

export const Title = styled(H2)`
  margin-bottom: 1em;
`

export const Right = styled.div`
  flex: 1;
  text-align: right;
`
export const StyledButton = styled(Button)`
  /* width: max-content; */
  margin-top: 0.5em;
  padding: 0.3em 2em;
`

export const Img = styled.div`
  background: url(${({ src }) => src});
  width: 25vw;
  /* height: 215px; */
  padding-bottom: calc((9 / 16) * 100%);
  background-size: cover;
  position: relative;
  background-position: center;
`